<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>imconvexHull</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="section_1aa4355ff9a84e213103262933eb8d3e.html">&lt;&lt; Structural Analysis and Shape Descriptors</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_1aa4355ff9a84e213103262933eb8d3e.html">Structural Analysis and Shape Descriptors</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imdrawcontours.html">imdrawcontours &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_1aa4355ff9a84e213103262933eb8d3e.html">Structural Analysis and Shape Descriptors</a> &gt; imconvexHull</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">imconvexHull</h1>
    <p class="refpurpose">Finds the convex hull of a point set.</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">H</span><span class="default"> = </span><span class="functionid">imconvexHull</span><span class="default">(</span><span class="default">pts</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">pts :</span>
      <dd><p class="para">Input 2D point set.</p></dd></dt>
   <dt><span class="term">H :</span>
      <dd><p class="para">Output convexhull</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">The functions find the convex hull of a 2D point set using the Sklansky&#0039;s algorithm.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">S</span> <span class="scilaboperator">=</span> <span class="scilabid">imread</span><span class="scilabopenclose">(</span><a class="scilabcommand" href="scilab://fullpath">fullpath</a><span class="scilabopenclose">(</span><span class="scilabid">getIPCVpath</span><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span> <span class="scilaboperator">+</span> <span class="scilabstring">&#0034;</span><span class="scilabstring">/images/hand.jpg</span><span class="scilabstring">&#0034;</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">Sbw</span> <span class="scilaboperator">=</span> <span class="scilabid">im2bw</span><span class="scilabopenclose">(</span><span class="scilaboperator">~</span><span class="scilabid">S</span><span class="scilabdefault">,</span><span class="scilabnumber">0.5</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">Sbw</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">Sc</span> <span class="scilaboperator">=</span> <span class="scilabid">imfindContours</span><span class="scilabopenclose">(</span><span class="scilabid">Sbw</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabopenclose">[</span><span class="scilabid">A</span><span class="scilabdefault">,</span> <span class="scilabid">BB</span><span class="scilabdefault">,</span> <span class="scilabid">ctr</span><span class="scilabopenclose">]</span> <span class="scilaboperator">=</span> <span class="scilabid">imblobprop</span><span class="scilabopenclose">(</span><span class="scilabid">Sc</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabopenclose">[</span><span class="scilabid">maxV</span><span class="scilabdefault">,</span><span class="scilabid">maxI</span><span class="scilabopenclose">]</span> <span class="scilaboperator">=</span> <a class="scilabcommand" href="scilab://max">max</a><span class="scilabopenclose">(</span><span class="scilabid">A</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabopenclose">[</span><span class="scilabid">row</span><span class="scilabdefault">,</span><span class="scilabid">col</span><span class="scilabopenclose">]</span> <span class="scilaboperator">=</span> <a class="scilabcommand" href="scilab://find">find</a><span class="scilabopenclose">(</span><span class="scilabid">Sc</span><span class="scilaboperator">==</span><span class="scilabid">maxI</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabopenclose">[</span><span class="scilabid">cart_x</span><span class="scilabdefault">,</span><span class="scilabid">cart_y</span><span class="scilabopenclose">]</span> <span class="scilaboperator">=</span> <span class="scilabid">sub2cartesian</span><span class="scilabopenclose">(</span><a class="scilabcommand" href="scilab://size">size</a><span class="scilabopenclose">(</span><span class="scilabid">Sc</span><span class="scilabopenclose">)</span><span class="scilabdefault">,</span> <span class="scilabid">row</span><span class="scilabdefault">,</span><span class="scilabid">col</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">SS</span> <span class="scilaboperator">=</span> <span class="scilabopenclose">[</span><span class="scilabopenclose">(</span><span class="scilabid">cart_x</span><span class="scilabopenclose">)</span><span class="scilaboperator">&#0039;</span><span class="scilabdefault">,</span><span class="scilabopenclose">(</span><span class="scilabid">cart_y</span><span class="scilabopenclose">)</span><span class="scilaboperator">&#0039;</span><span class="scilabopenclose">]</span><span class="scilabdefault">;</span>
<span class="scilabid">H</span> <span class="scilaboperator">=</span> <span class="scilabid">imconvexHull</span><span class="scilabopenclose">(</span><span class="scilabid">SS</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">sz</span> <span class="scilaboperator">=</span> <a class="scilabcommand" href="scilab://size">size</a><span class="scilabopenclose">(</span><span class="scilabid">S</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<a class="scilabmacro" href="scilab://plot">plot</a><span class="scilabopenclose">(</span><span class="scilabid">cart_x</span><span class="scilabdefault">,</span><span class="scilabid">cart_y</span><span class="scilabdefault">,</span><span class="scilabstring">&#0039;</span><span class="scilabstring">.</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">Hd</span> <span class="scilaboperator">=</span> <a class="scilabcommand" href="scilab://double">double</a><span class="scilabopenclose">(</span><span class="scilabid">H</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<a class="scilabmacro" href="scilab://plot">plot</a><span class="scilabopenclose">(</span><span class="scilabid">Hd</span><span class="scilabopenclose">(</span><span class="scilabspecial">:</span><span class="scilabdefault">,</span><span class="scilabnumber">1</span><span class="scilabopenclose">)</span><span class="scilabdefault">,</span><span class="scilabid">Hd</span><span class="scilabopenclose">(</span><span class="scilabspecial">:</span><span class="scilabdefault">,</span><span class="scilabnumber">2</span><span class="scilabopenclose">)</span><span class="scilabdefault">,</span><span class="scilabstring">&#0039;</span><span class="scilabstring">r</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="scilab://imfindContours" class="link">imfindContours</a></li>
   <li class="member"><a href="scilab://imdrawContours" class="link">imdrawContours</a></li>
   <li class="member"><a href="imconvexHull.html" class="link">imconvexHull</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Tan Chin Luh</li></ul></div>

<div class="refsection"><h3 class="title">Bibliography</h3>
   <p class="para">1. OpenCV 2.4 Online Documentation</p></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="section_1aa4355ff9a84e213103262933eb8d3e.html">&lt;&lt; Structural Analysis and Shape Descriptors</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_1aa4355ff9a84e213103262933eb8d3e.html">Structural Analysis and Shape Descriptors</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imdrawcontours.html">imdrawcontours &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
